Properties Methods Events Direct Link

    Toolbar.Item
      Toolbar.TextItem

# Class Ext.Toolbar.TextItem

Package: | Ext
Defined In: | Toolbar.js
Class: | Toolbar.TextItem
Extends: | Toolbar.Item

A simple class that renders text directly into a toolbar.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

Toolbar.TextItem( `String text` )
Creates a new TextItem
Creates a new TextItem
Parameters:

- `text` : String

Returns:

- ``

Toolbar.TextItem

destroy() : void
Removes and destroys this item.
Removes and destroys this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

disable() : void
Disables this item.
Disables this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

enable() : void
Enables this item.
Enables this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

focus() : void
Try to focus this item
Try to focus this item
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

getEl() : HTMLElement
Get this item's HTML Element
Get this item's HTML Element
Parameters:

- None.

Returns:

- `HTMLElement`

Toolbar.Item

hide() : void
Hides this item.
Hides this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

setVisible( `Boolean visible` ) : void
Convenience function for boolean show/hide.
Convenience function for boolean show/hide.
Parameters:

- `visible` : Boolean
  true to show/false to hide

Returns:

- `void`

Toolbar.Item

show() : void
Shows this item.
Shows this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

## Public Events

This class has no public events.